archivers/zlib-ng - The NetBSD Packages Collection

Replacement for zlib with optimizations for "next generation" systems

zlib data compression library for the next generation systems

Features:
* Zlib compatible API with support for dual-linking
* Modernized native API based on zlib API for ease of porting
* Modern C11 syntax and a clean code layout
* Deflate medium and quick algorithms based on Intel's zlib fork
* Support for CPU intrinsics when available
* Unaligned memory read/writes and large bit buffer improvements
* Includes improvements from Cloudflare and Intel forks

Build dependencies

devel/cmake pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64zlib-ng-2.1.6.tgz
NetBSD 10.0aarch64zlib-ng-2.0.7.tgz
NetBSD 10.0aarch64zlib-ng-2.1.7.tgz
NetBSD 10.0aarch64ebzlib-ng-2.1.6.tgz
NetBSD 10.0aarch64ebzlib-ng-2.1.7.tgz
NetBSD 10.0alphazlib-ng-2.1.6.tgz
NetBSD 10.0alphazlib-ng-2.1.6.tgz
NetBSD 10.0earmv6hfzlib-ng-2.1.6.tgz
NetBSD 10.0earmv6hfzlib-ng-2.0.7.tgz
NetBSD 10.0earmv6hfzlib-ng-2.1.7.tgz
NetBSD 10.0earmv7hfzlib-ng-2.1.6.tgz
NetBSD 10.0earmv7hfzlib-ng-2.0.7.tgz
NetBSD 10.0earmv7hfzlib-ng-2.1.7.tgz
NetBSD 10.0i386zlib-ng-2.1.6.tgz
NetBSD 10.0i386zlib-ng-2.0.7.tgz
NetBSD 10.0i386zlib-ng-2.1.7.tgz
NetBSD 10.0powerpczlib-ng-2.0.7.tgz
NetBSD 10.0powerpczlib-ng-2.0.7.tgz
NetBSD 10.0sh3elzlib-ng-2.1.6.tgz
NetBSD 10.0sparc64zlib-ng-2.1.6.tgz
NetBSD 10.0sparczlib-ng-2.1.6.tgz
NetBSD 10.0x86_64zlib-ng-2.1.6.tgz
NetBSD 10.0x86_64zlib-ng-2.0.7.tgz
NetBSD 10.0x86_64zlib-ng-2.1.7.tgz
NetBSD 9.0aarch64zlib-ng-2.1.6.tgz
NetBSD 9.0aarch64zlib-ng-2.0.7.tgz
NetBSD 9.0aarch64zlib-ng-2.1.7.tgz
NetBSD 9.0alphazlib-ng-2.1.6.tgz
NetBSD 9.0earmv6hfzlib-ng-2.1.6.tgz
NetBSD 9.0earmv6hfzlib-ng-2.0.7.tgz
NetBSD 9.0earmv6hfzlib-ng-2.1.7.tgz
NetBSD 9.0earmv7hfzlib-ng-2.1.6.tgz
NetBSD 9.0earmv7hfzlib-ng-2.0.7.tgz
NetBSD 9.0earmv7hfzlib-ng-2.1.7.tgz
NetBSD 9.0i386zlib-ng-2.1.7.tgz
NetBSD 9.0i386zlib-ng-2.0.7.tgz
NetBSD 9.0i386zlib-ng-2.1.6.tgz
NetBSD 9.0powerpczlib-ng-2.0.7.tgz
NetBSD 9.0powerpczlib-ng-2.0.7.tgz
NetBSD 9.0powerpczlib-ng-2.1.6.tgz
NetBSD 9.0sparc64zlib-ng-2.1.6.tgz
NetBSD 9.0x86_64zlib-ng-2.1.7.tgz
NetBSD 9.0x86_64zlib-ng-2.0.7.tgz
NetBSD 9.0x86_64zlib-ng-2.1.6.tgz
NetBSD 9.3x86_64zlib-ng-2.1.7.tgz
NetBSD 9.3x86_64zlib-ng-2.1.7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.